MonitorInfo Struct Reference

`#include <edid.h>`

Collaboration diagram for MonitorInfo:
[legend]

## Data Fields

int | checksum
char | manufacturer_code [4]
int | product_code
unsigned int | serial_number
int | production_week
int | production_year
int | model_year
int | major_version
int | minor_version
int | is_digital
union {
struct {
int bits_per_primary
Interface interface
int rgb444
int ycrcb444
int ycrcb422
} digital
struct {
double video_signal_level
double sync_signal_level
double total_signal_level
int blank_to_black
int separate_hv_sync
int composite_sync_on_h
int composite_sync_on_green
int serration_on_vsync
ColorType color_type
} analog
} | ad
int | width_mm
int | height_mm
double | aspect_ratio
double | gamma
int | standby
int | suspend
int | active_off
int | srgb_is_standard
int | preferred_timing_includes_native
int | continuous_frequency
double | red_x
double | red_y
double | green_x
double | green_y
double | blue_x
double | blue_y
double | white_x
double | white_y
Timing | established [24]
Timing | standard [8]
int | n_detailed_timings
DetailedTiming | detailed_timings [4]
char | dsc_serial_number [14]
char | dsc_product_name [14]
char | dsc_string [14]

## Detailed Description

Definition at line 80 of file edid.h.

## Field Documentation

## active_off

int MonitorInfo::active_off

Definition at line 131 of file edid.h.

Referenced by decode_display_parameters(), and dump_monitor_info().

## ad

union { ... } MonitorInfo::ad

Referenced by decode_display_parameters(), and dump_monitor_info().

## analog

struct { ... } MonitorInfo::analog

Referenced by decode_display_parameters(), and dump_monitor_info().

## aspect_ratio

double MonitorInfo::aspect_ratio

Definition at line 125 of file edid.h.

Referenced by decode_display_parameters(), and dump_monitor_info().

## bits_per_primary

int MonitorInfo::bits_per_primary

Definition at line 100 of file edid.h.

## blank_to_black

int MonitorInfo::blank_to_black

Definition at line 113 of file edid.h.

## blue_x

double MonitorInfo::blue_x

Definition at line 141 of file edid.h.

Referenced by decode_color_characteristics(), and dump_monitor_info().

## blue_y

double MonitorInfo::blue_y

Definition at line 142 of file edid.h.

Referenced by decode_color_characteristics(), and dump_monitor_info().

## checksum

int MonitorInfo::checksum

Definition at line 82 of file edid.h.

Referenced by decode_check_sum(), and dump_monitor_info().

## color_type

ColorType MonitorInfo::color_type

Definition at line 119 of file edid.h.

## composite_sync_on_green

int MonitorInfo::composite_sync_on_green

Definition at line 117 of file edid.h.

## composite_sync_on_h

int MonitorInfo::composite_sync_on_h

Definition at line 116 of file edid.h.

## continuous_frequency

int MonitorInfo::continuous_frequency

Definition at line 135 of file edid.h.

Referenced by decode_display_parameters(), and dump_monitor_info().

## detailed_timings

DetailedTiming MonitorInfo::detailed_timings[4]

Definition at line 150 of file edid.h.

Referenced by decode_descriptors(), and dump_monitor_info().

## digital

struct { ... } MonitorInfo::digital

Referenced by decode_display_parameters(), and dump_monitor_info().

## dsc_product_name

char MonitorInfo::dsc_product_name[14]

Definition at line 160 of file edid.h.

Referenced by decode_display_descriptor(), and dump_monitor_info().

## dsc_serial_number

char MonitorInfo::dsc_serial_number[14]

Definition at line 159 of file edid.h.

Referenced by decode_display_descriptor(), and dump_monitor_info().

## dsc_string

char MonitorInfo::dsc_string[14]

Definition at line 161 of file edid.h.

Referenced by decode_display_descriptor(), and dump_monitor_info().

## established

Timing MonitorInfo::established[24]

Definition at line 146 of file edid.h.

Referenced by decode_established_timings(), and dump_monitor_info().

## gamma

double MonitorInfo::gamma

Definition at line 127 of file edid.h.

Referenced by decode_display_parameters(), and dump_monitor_info().

## green_x

double MonitorInfo::green_x

Definition at line 139 of file edid.h.

Referenced by decode_color_characteristics(), and dump_monitor_info().

## green_y

double MonitorInfo::green_y

Definition at line 140 of file edid.h.

Referenced by decode_color_characteristics(), and dump_monitor_info().

## height_mm

int MonitorInfo::height_mm

Definition at line 124 of file edid.h.

Referenced by decode_display_parameters(), and dump_monitor_info().

## interface

Interface MonitorInfo::interface

Definition at line 101 of file edid.h.

## is_digital

int MonitorInfo::is_digital

Definition at line 94 of file edid.h.

Referenced by decode_display_parameters(), and dump_monitor_info().

## major_version

int MonitorInfo::major_version

Definition at line 91 of file edid.h.

Referenced by decode_edid_version(), and dump_monitor_info().

## manufacturer_code

char MonitorInfo::manufacturer_code[4]

Definition at line 83 of file edid.h.

Referenced by decode_vendor_and_product_identification(), and dump_monitor_info().

## minor_version

int MonitorInfo::minor_version

Definition at line 92 of file edid.h.

Referenced by decode_edid_version(), and dump_monitor_info().

## model_year

int MonitorInfo::model_year

Definition at line 89 of file edid.h.

Referenced by decode_vendor_and_product_identification(), and dump_monitor_info().

## n_detailed_timings

int MonitorInfo::n_detailed_timings

Definition at line 149 of file edid.h.

Referenced by decode_descriptors(), and dump_monitor_info().

## preferred_timing_includes_native

int MonitorInfo::preferred_timing_includes_native

Definition at line 134 of file edid.h.

Referenced by decode_display_parameters(), and dump_monitor_info().

## product_code

int MonitorInfo::product_code

Definition at line 84 of file edid.h.

Referenced by decode_vendor_and_product_identification(), and dump_monitor_info().

## production_week

int MonitorInfo::production_week

Definition at line 87 of file edid.h.

Referenced by decode_vendor_and_product_identification(), and dump_monitor_info().

## production_year

int MonitorInfo::production_year

Definition at line 88 of file edid.h.

Referenced by decode_vendor_and_product_identification(), and dump_monitor_info().

## red_x

double MonitorInfo::red_x

Definition at line 137 of file edid.h.

Referenced by decode_color_characteristics(), and dump_monitor_info().

## red_y

double MonitorInfo::red_y

Definition at line 138 of file edid.h.

Referenced by decode_color_characteristics(), and dump_monitor_info().

## rgb444

int MonitorInfo::rgb444

Definition at line 102 of file edid.h.

## separate_hv_sync

int MonitorInfo::separate_hv_sync

Definition at line 115 of file edid.h.

## serial_number

unsigned int MonitorInfo::serial_number

Definition at line 85 of file edid.h.

Referenced by decode_vendor_and_product_identification(), and dump_monitor_info().

## serration_on_vsync

int MonitorInfo::serration_on_vsync

Definition at line 118 of file edid.h.

## srgb_is_standard

int MonitorInfo::srgb_is_standard

Definition at line 133 of file edid.h.

Referenced by decode_display_parameters(), and dump_monitor_info().

## standard

Timing MonitorInfo::standard[8]

Definition at line 147 of file edid.h.

Referenced by decode_standard_timings(), and dump_monitor_info().

## standby

int MonitorInfo::standby

Definition at line 129 of file edid.h.

Referenced by decode_display_parameters(), and dump_monitor_info().

## suspend

int MonitorInfo::suspend

Definition at line 130 of file edid.h.

Referenced by decode_display_parameters(), and dump_monitor_info().

## sync_signal_level

double MonitorInfo::sync_signal_level

Definition at line 110 of file edid.h.

## total_signal_level

double MonitorInfo::total_signal_level

Definition at line 111 of file edid.h.

## video_signal_level

double MonitorInfo::video_signal_level

Definition at line 109 of file edid.h.

## white_x

double MonitorInfo::white_x

Definition at line 143 of file edid.h.

Referenced by decode_color_characteristics(), and dump_monitor_info().

## white_y

double MonitorInfo::white_y

Definition at line 144 of file edid.h.

Referenced by decode_color_characteristics(), and dump_monitor_info().

## width_mm

int MonitorInfo::width_mm

Definition at line 123 of file edid.h.

Referenced by decode_display_parameters(), and dump_monitor_info().

## ycrcb422

int MonitorInfo::ycrcb422

Definition at line 104 of file edid.h.

## ycrcb444

int MonitorInfo::ycrcb444

Definition at line 103 of file edid.h.

The documentation for this struct was generated from the following file:

- src/video/x11/edid.h